summaryrefslogtreecommitdiff
path: root/debian/argyll-ref.postinst
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2014-09-16 09:32:07 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2014-09-16 09:32:07 +0200
commit047b5603c45a7788719b4083723d771384c48855 (patch)
tree7e908542355a77ab7445efabe032190bc3669653 /debian/argyll-ref.postinst
parent37df445514c0a0ec204f9e876d8c220e1fcfb955 (diff)
use dpkg-maintscript-helper dir_to_symlink for symlink doc dir
Diffstat (limited to 'debian/argyll-ref.postinst')
-rw-r--r--debian/argyll-ref.postinst40
1 files changed, 40 insertions, 0 deletions
diff --git a/debian/argyll-ref.postinst b/debian/argyll-ref.postinst
new file mode 100644
index 0000000..858bf74
--- /dev/null
+++ b/debian/argyll-ref.postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# source debconf library
+#. /usr/share/debconf/confmodule
+
+
+case "$1" in
+
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ # Replace documentation directory with symlink
+ dpkg-maintscript-helper dir_to_symlink /usr/share/doc/argyll-ref argyll-doc -- "$@"
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+
+exit 0